Bug 2469 - (int-93161) GTKTextView scrolls to cursor on size change even if text view non-editable
(int-93161)
: GTKTextView scrolls to cursor on size change even if text view non-editable
Status: RESOLVED FIXED
Product: Desktop platform
gtk
: 4.1.2 (4.2008.36-5)
: All Maemo
: Low minor with 1 vote (vote)
: 5.0-alpha
Assigned To: unassigned
: gtk-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2007-12-03 22:51 UTC by itkach
Modified: 2009-03-02 13:38 UTC (History)
4 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description itkach (reporter) 2007-12-03 22:51:16 UTC
GTK TextView scrolls to cursor on text view size change, even if text view is
non-editable and cursor is not visible. Here's simple example that allows to
observe this behavior:
https://garage.maemo.org/tracker/download.php/40/229/1711/192/textviewscroll.py.
Also see bug originally filed against PyMaemo:
https://garage.maemo.org/tracker/?func=detail&atid=229&aid=1711&group_id=40
This is on OS2008 beta, but probably works the same in earlier IT versions.
Comment 1 Kristian Rietveld 2008-02-27 13:51:50 UTC
Keeping the cursor visible during size_allocate is a maemo-specific patch to
GTK+.  This makes sense to do in case the virtual keyboard pops up and the text
view in the main window gets resized.  I am not sure whether this indeed makes
sense to do for text views that are not editable (since the keyboard cannot pop
up for it anyway) and on first size-allocate (since the keyboard is not
involved there).  A possible fix might be to not scroll to the cursor for these
two cases.

Opinions?
Comment 2 itkach (reporter) 2008-03-09 20:49:35 UTC
(In reply to comment #1)
> Keeping the cursor visible during size_allocate is a maemo-specific patch to
> GTK+.  This makes sense to do in case the virtual keyboard pops up and the text
> view in the main window gets resized.  I am not sure whether this indeed makes
> sense to do for text views that are not editable (since the keyboard cannot pop
> up for it anyway) and on first size-allocate (since the keyboard is not
> involved there).  A possible fix might be to not scroll to the cursor for these
> two cases.
> 
> Opinions?

This behavior is easy to add for those applications that need it and very hard
to remove for those that don't. Upstream rejected this patch for very good
reasons and this should be removed from Maemo as well. 
>
Comment 3 Andre Klapper maemo.org 2008-06-06 17:46:51 UTC
reassigning Tommi's bugs to Rodrigo.
Comment 4 Andre Klapper maemo.org 2008-11-14 00:02:59 UTC
> This behavior is easy to add for those applications that need it and very 
> hard to remove for those that don't. 

itkach, can you provide an example when the current behaviour is definitely
disrupting? "for very good reasons" is not an argumentation.

Also sounds more like an enhancement request to me currently.
Comment 5 itkach (reporter) 2008-11-14 00:29:06 UTC
(In reply to comment #4)
> > This behavior is easy to add for those applications that need it and very 
> > hard to remove for those that don't. 
> 
> itkach, can you provide an example when the current behaviour is definitely
> disrupting? "for very good reasons" is not an argumentation.
> 
> Also sounds more like an enhancement request to me currently.
> 
You may want to follow the links to discussion on Maemo Garage from my original
post. "Very good reasons" I refer to are discussed at
http://bugzilla.gnome.org/show_bug.cgi?id=344874. 
Think about it for a moment: unsuspecting user scrolls to the middle of a long
text, toggles full screen mode on, then goes back - the text he was reading is
no longer visible, text view scrolled to the end, because this is where cursor
was, although it is not visible. This is extremely annoying. Install SDict
Viewer to experience first-hand how disruptive and broken this is. Please fix
it.
Comment 6 Andre Klapper maemo.org 2008-11-20 13:45:20 UTC
Where can I get SDict Viewer?
Comment 7 itkach (reporter) 2008-11-20 15:38:05 UTC
(In reply to comment #6)
> Where can I get SDict Viewer?
> 
http://sdictviewer.sourceforge.net/. There's a slightly older (but good enough
to illustrate the issue) version in Maemo Extras (single click installer
http://maemo.org/downloads/product/raw/OS2008/sdictviewer/?get_installfile
should work).
Comment 8 Andre Klapper maemo.org 2009-01-19 17:33:18 UTC
Setting TM to Fremantle as this is worked on.
Closing after this has been verified internally.
Comment 9 itkach (reporter) 2009-02-03 04:10:38 UTC
(In reply to comment #8)
> Setting TM to Fremantle as this is worked on.
> Closing after this has been verified internally.
> 

Is this going to be fixed in Diablo?
Comment 10 Andre Klapper maemo.org 2009-02-03 12:04:37 UTC
(In reply to comment #9)
> Is this going to be fixed in Diablo?

Most probably not - it's not important enough and there are other priorities
currently.
Comment 11 itkach (reporter) 2009-02-03 15:16:08 UTC
(In reply to comment #10)
> (In reply to comment #9)
> > Is this going to be fixed in Diablo?
> 
> Most probably not - it's not important enough

That I can see - it's been more then a year now. I'm not sure why though.
Besides, the bug fix is trivial. We already spent a lot more time talking about
 it than it takes to fix. One solution that comes to mind is to unapply  the
unfortunate Maemo patch that broke it.

> and there are other priorities

If broken user interface is not a priority then what is? 

> currently.
> 

If this is not going to be fixed in Diablo this begs for question will
Fremantle be available for N800 and N810?
Comment 12 Andre Klapper maemo.org 2009-02-03 15:28:08 UTC
(In reply to comment #11)
> If this is not going to be fixed in Diablo this begs for question will
> Fremantle be available for N800 and N810?

This has been explained several times already in lots of other Maemo places and
is off-topic in this report. Please check the mailing list, forums,
announcements etc.
Comment 13 itkach (reporter) 2009-02-03 17:10:12 UTC
(In reply to comment #12)
> (In reply to comment #11)
> > If this is not going to be fixed in Diablo this begs for question will
> > Fremantle be available for N800 and N810?
> 
> This has been explained several times already in lots of other Maemo places and
> is off-topic in this report. Please check the mailing list, forums,
> announcements etc.
> 

It may be an off-topic, but it's a relevant question nonetheless, and the short
answer to this question is no. So let me translate your answer into plain
language: the bug will never be fixed on N800/N810. Thanks for clarifying that.
Comment 14 Andre Klapper maemo.org 2009-02-03 19:30:48 UTC
[offtopic]

I get the feeling that you mix up software and hardware here.
There's nothing unclear. I clearly said "most probably WONTFIX for Diablo".
That's all I know, and Diablo is software.
I simply cannot say it's wontfix for the N8x0, because N8x0 is hardware.
There's good community efforts done (with some help of Nokia) to make sure that
there will be a Fremantle version for the N8x0. So a statement like "the bug
will never be fixed on N800/N810" isn't based on any facts I'm currently aware
of. But yes, maybe it will never be fixed on N8x0 **OFFICIALLY BY NOKIA**
**MIGHT** happen, if you wanted to express that and missed those three words.
Comment 15 Andre Klapper maemo.org 2009-02-09 13:00:20 UTC
This has now been definitely fixed for Fremantle.